/********************************************************************
*
* Standard register and bit definitions for the Texas Instruments
* ADS8364 Analog to Digital Converter.
*
* This file supports assembler and C development within the IAR
* Workbench environment for MSP430x14x devices.
*
* Texas Instruments, Version 1.0
* Texas Instruments, Version 1.0
********************************************************************/

#ifndef __ADS8364
#define __ADS8364

#define ACLK_5     0x0040
#define SMCLK_5    0x0020
#define MCLK_5     0x0010
#define UCLK_5     0x0008

/************************************************************
* ADC Commands - Upper Byte transfers
************************************************************/
#define HOLD       0x0001              // Assign p1.0 to HOLDx
#define INT        0x0002              // Assign p1.1 to EOC
#define RE         0x0008              // Assign p1.3 to RE#
#define RST        0x0004              // Assign p1.2 to RESET
#define SMCLK      0x0010              // Assign p1.4 (SMCLK) to CLK

#define CS         0x0002              // Assign p4.1 to CS
#define A2         0x0001              // Assign p4.0 to A2
#define A1         0x0080              // Assign p3.7 to A1
#define A0         0x0040              // Assign p3.6 to A0
#define WE         0x0008              // Assign p4.3 to WE#
#define CSA        0x0010              // Assign p4.4 to CSA#
#define pADD       0x0040              // Assign p4.4 to CSA#

#endif /* #ifndef __ADS8364 */

